﻿/*GR-CARRY Sketch Template Version: E0.10*/
#include <Arduino.h>
#include "KX022.h"
//#include "CapacitiveSensor.h"

// Pin 11,12,13 are assigned to RGB LEDs.
int led_r = 11; // LOW active
int led_g = 12; // LOW active
int led_b = 13; // LOW active

// the setup routine runs once when you press reset:
void setup() {
	//setPowerManagementMode(PM_SNOOZE_MODE, 0, 1000); //Set CPU SNOOZE in analogRead()
	//setOperationClockMode(CLK_LOW_SPEED_MODE); //Set CPU clock from 32MHz to 32.768kHz

	// initialize the digital pin as an output.
	pinMode(led_r, OUTPUT);
	pinMode(led_g, OUTPUT);
	pinMode(led_b, OUTPUT);
	// turn the LEDs off.
	digitalWrite(led_r, HIGH);
	digitalWrite(led_g, HIGH);
	digitalWrite(led_b, HIGH);
	// for touch sensing.
	pinMode(19, OUTPUT);
	digitalWrite(19, HIGH);

	Serial.begin(115200);
	Serial.print("Temperature:\t");
	Serial.println(getTemperature(TEMP_MODE_CELSIUS)); //temperature from the sensor in MCU

	if (initKX022() == true) {
		Serial.println("initKX022 OK");
	} else {
		Serial.println("initKX022 NG");
		digitalWrite(led_r, LOW);
		while(1);
	}
}

// the loop routine runs over and over again forever:
void loop() {
	float accdata[3];
	float fullfull;

	readAccelData(accdata);
	if (accdata[0] < 0)		accdata[0] = -accdata[0]; // x
	if (accdata[1] < 0)		accdata[1] = -accdata[1]; // y
	if (accdata[2] < 0)		accdata[2] = -accdata[2]; // z
	fullfull = accdata[0] + accdata[1] + accdata[2];

	if ((fullfull > 2) | (analogRead(A4) < 900)) {
		//pink
		digitalWrite(led_r, LOW);
		digitalWrite(led_g, HIGH);
		digitalWrite(led_b, LOW);
		delay(100);
	} else {
		//off
		digitalWrite(led_r, HIGH);   // turn the RED LED off
		digitalWrite(led_g, HIGH); // turn the GREEN LED off
		digitalWrite(led_b, HIGH);  // turn the BLUE LED off
	}

}
